package betterwithmods.client.container.other;

import betterwithmods.BWMod;
import betterwithmods.common.blocks.tile.TileEntityBlockDispenser;
import net.minecraft.client.gui.inventory.GuiContainer;
import net.minecraft.client.resources.I18n;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.items.CapabilityItemHandler;
import net.minecraftforge.items.IItemHandler;
import org.lwjgl.opengl.GL11;

public class GuiBlockDispenser extends GuiContainer {
    private static final int guiHeight = 182;
    private static final String NAME = "inv.bwm.dispenser.name";
    final IItemHandler playerInv;
    private final TileEntityBlockDispenser tile;

    public GuiBlockDispenser(EntityPlayer player, TileEntityBlockDispenser tile) {

        super(new ContainerBlockDispenser(player, tile));
        playerInv = player.getCapability(CapabilityItemHandler.ITEM_HANDLER_CAPABILITY, null);
        this.tile = tile;
        this.field_147000_g = guiHeight;
    }

    @Override
    protected void func_146979_b(int x, int y) {
        String s = I18n.func_135052_a(NAME);
        this.field_146289_q.func_78276_b(s, this.field_146999_f / 2 - this.field_146289_q.func_78256_a(s) / 2, 6, 4210752);
    }

    @Override
    protected void func_146976_a(float f, int x, int y) {
        GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
        this.field_146297_k.field_71446_o.func_110577_a(new ResourceLocation(BWMod.MODID, "textures/gui/dispenser.png"));

        int xPos = (this.field_146294_l - this.field_146999_f) / 2;
        int yPos = (this.field_146295_m - this.field_147000_g) / 2;
        func_73729_b(xPos, yPos, 0, 0, this.field_146999_f, this.field_147000_g);

        int xOff = this.tile.nextIndex % 4 * 18;
        int yOff = this.tile.nextIndex / 4 * 18;
        func_73729_b(xPos + 51 + xOff, yPos + 15 + yOff, 176, 0, 20, 20);
    }
}
