package betterwithmods.client.container.anvil;

import betterwithmods.common.blocks.tile.TileEntitySteelAnvil;
import net.minecraft.inventory.InventoryCraftResult;
import net.minecraft.item.ItemStack;

public class InventorySteelCraftingResult extends InventoryCraftResult {

    private TileEntitySteelAnvil craft;

    public InventorySteelCraftingResult(TileEntitySteelAnvil te) {
        craft = te;
    }

    @Override
    public ItemStack func_70301_a(int slot) {
        return slot == 0 ? craft.getResult() : null;
    }

    @Override
    public ItemStack func_70298_a(int slot, int decrement) {
        //return craft.decrStackSize(slot, decrement);
        ItemStack stack = craft.getResult();
        if (stack != null) {
            craft.setResult(null);
            return stack;
        } else {
            return null;
        }
    }

    @Override
    public void func_70299_a(int slot, ItemStack stack) {
        craft.setResult(stack);
    }
}
