package betterwithmods.common.registry;

import com.google.gson.JsonObject;
import net.minecraft.init.Items;
import net.minecraft.item.Item;
import net.minecraft.item.ItemShears;
import net.minecraft.item.ItemStack;
import net.minecraft.item.crafting.IRecipe;
import net.minecraft.item.crafting.Ingredient;
import net.minecraft.util.JsonUtils;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.common.crafting.CraftingHelper;
import net.minecraftforge.common.crafting.IRecipeFactory;
import net.minecraftforge.common.crafting.JsonContext;

/**
 * Created by blueyu2 on 12/12/16.
 */
public class CuttingRecipe extends ToolDamageRecipe {
    public CuttingRecipe(Ingredient input, ItemStack result) {
        super(new ResourceLocation("cutting"), result, input, stack -> stack.func_77973_b() instanceof ItemShears);
    }

    @Override
    public ItemStack getExampleStack() {
        return new ItemStack(Items.field_151097_aZ);
    }

    public static class Factory implements IRecipeFactory {
        @Override
        public IRecipe parse(JsonContext context, JsonObject json) {
            String group = JsonUtils.func_151219_a(json, "group", "");
            JsonObject o = JsonUtils.func_152754_s(json, "cut");
            Item item = JsonUtils.func_188180_i(o,"item");
            int meta = JsonUtils.func_151204_g(o, "data") ? JsonUtils.func_151203_m(o,"data") : 0;
            Ingredient cut = Ingredient.func_193369_a(new ItemStack(item, 1, meta));
            ItemStack itemstack = CraftingHelper.getItemStack(JsonUtils.func_152754_s(json, "result"), context);
            return new CuttingRecipe(cut, itemstack);
        }
    }
}
